API

Online News Search Direct API

The AI-powered Online News Monitor provides 360° Global Media Data & Intelligence on Digital-native news outlets, online newspapers, broadcasters, wire services, and digital magazines.

APIリファレンス バージョン: 1.0.0 3 エンドポイント 認証
Online News Monitor

ベース URL

https://pressmonitor.com/api

認証

すべてのリクエストには x-api-key と x-subscription-id ヘッダーが必要です。x-api-key はアカウントを認証し、x-subscription-id は購読サービスを選択します。

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /headlines

Get News Headlines

パラメータ

名前 タイプ 場所 必須 説明
keywords_text string query はい Primary keyword query used for direct news retrieval
lang_code string query いいえ Filter by language code (ISO 639-1)
country_code string query いいえ Filter by country code (ISO 3166-1 alpha-2)
count integer query いいえ Number of results to return
cursor string query いいえ Pagination cursor for next page
date_from string query いいえ Start date for news (YYYY-MM-DD format)
date_to string query いいえ End date for news (YYYY-MM-DD format)
sort string query いいえ Sort order (date or relevance)

コード例

curl -X GET \
  "https://pressmonitor.com/api/headlines?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&date_from=VALUE&date_to=VALUE&sort=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success
GET /briefs

Get News Briefs

パラメータ

名前 タイプ 場所 必須 説明
keywords_text string query はい Primary keyword query used for direct news retrieval
lang_code string query いいえ Filter by language code (ISO 639-1)
country_code string query いいえ Filter by country code (ISO 3166-1 alpha-2)
count integer query いいえ Number of results to return
cursor string query いいえ Pagination cursor for next page
date_from string query いいえ Start date for news (YYYY-MM-DD format)
date_to string query いいえ End date for news (YYYY-MM-DD format)
sort string query いいえ Sort order (date or relevance)

コード例

curl -X GET \
  "https://pressmonitor.com/api/briefs?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&date_from=VALUE&date_to=VALUE&sort=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success
GET /fulltext

Get Full-Text News

パラメータ

名前 タイプ 場所 必須 説明
keywords_text string query はい Primary keyword query used for direct news retrieval
lang_code string query いいえ Filter by language code (ISO 639-1)
country_code string query いいえ Filter by country code (ISO 3166-1 alpha-2)
count integer query いいえ Number of results to return
cursor string query いいえ Pagination cursor for next page
date_from string query いいえ Start date for news (YYYY-MM-DD format)
date_to string query いいえ End date for news (YYYY-MM-DD format)
sort string query いいえ Sort order (date or relevance)

コード例

curl -X GET \
  "https://pressmonitor.com/api/fulltext?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&date_from=VALUE&date_to=VALUE&sort=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success